Bug 248691 - Presario V3320TU RF Kill Switch can't get Intel's PRO/Wireless 3945ABG back on
Presario V3320TU RF Kill Switch can't get Intel's PRO/Wireless 3945ABG back on
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 06:06 EDT by Hansen Tanjung
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.22.5-76
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 03:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hansen Tanjung 2007-07-18 06:06:30 EDT
Description of problem:
When I use RF kill switch to shut off/on wireless connection, this switch can
get bluetooth on and off but wifi just can off but not on again.

Version-Release number of selected component (if applicable):
Relevan (maybe) software:
kernel-2.6.21-1.3228.fc7
udev-106-4.1.fc7
hal-0.5.9-8.fc7

How reproducible:
100 percent

Steps to Reproduce:
1. Power on laptop with switch kill off, fedora recognise the wireless
2. Switch kill on, wireless shutdown
3. Switch them off again, wireless still down
  
Actual results:
wireless still down

Expected results:
wireless up again

Additional info:
If I start with switch on, bring them off can't get the kernel recognise the
wireless.
This is the /var/log/message that relevance about that when kill switch on:

Jul 17 20:20:05 laptop kernel: iwl3945: Radio Frequency Kill Switch is On:
Jul 17 20:20:05 laptop kernel: Kill switch must be turned off for wireless
networking to work.

and nothing happen when kill switch get off
Comment 1 Christopher Brown 2007-09-19 10:26:45 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If you are please attach
an lsmod output as well as dmesg output.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Hansen Tanjung 2007-09-19 21:29:18 EDT
I think with latest kernel (kernel-2.6.22.5-76) this bug is resolved, but right
now my laptop is not in hand, maybe I can confirm this tommorrow.

Thanks
Comment 3 Hansen Tanjung 2007-09-21 03:34:23 EDT
I can confirm that this bug is resolved with kernel-2.6.22.5-76. I closed this
bug. Thanks a lot...

Note You need to log in before you can comment on or make changes to this bug.